import javax.swing.*;

class f1 extends f_x1
{public double func(double x)
 {return x*x*x*x*x*x*x*x*x;}
}
public class f_xtest {

public static void main(String arg[])
{ f1 ff=new f1();
  double df=ff.dfunc(1.0,1);
  double d1f=ff.dfunc(1.0);
  double d2f=ff.dfunc(1.0,2);
  double d3f=ff.dfunc(1.0,3);
  double d4f=ff.dfunc(1.0,4);
  double d5f=ff.dfunc(1.0,5);
  double d6f=ff.dfunc(1.0,6);
  double d7f=ff.dfunc(1.0,7);
  double d8f=ff.dfunc(1.0,8);
  double d9f=ff.dfunc(1.0,9);
  double d10f=ff.dfunc(1.0,10);	
 String s1="f="+ff.func(1.0)+"\ndf(x)/dx="+df+"\nd"+'\u00B2'+"f(x)/dx"+'\u00B2'+d2f+
 "\nd"+'\u00B3'+"f(x)/dx"+'\u00B3'+d3f+"\nd(4)f(x)/dx="+d4f+"\nd(5)f(x)/dx="+d5f+"\nd(6)f(x)/dx="+d6f+
 "\nd(7)f(x)/dx="+d7f+"\nd(8)f(x)/dx="+d8f+"\nd(9)f(x)/dx="+d9f+"\nd(10)f(x)/dx="+d10f;
 JOptionPane.showMessageDialog(null,s1);
} 
}